/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/example.xml" }
 */

import { testCalibrationLaboratory } from "./common/AdministrativeData/CalibrationLaboratory";
import { testCoreData } from "./common/AdministrativeData/CoreDataType";
import { testContactType } from "./common/Types/ContactType";
import { testRespPersonListType } from "./common/AdministrativeData/RespPersons";
import { testStatementListType } from "./common/Types/StatementListType";

describe(`[example.xml] AdministrativeData`, () => {
  const base = "/dcc:digitalCalibrationCertificate/dcc:administrativeData";
  testCalibrationLaboratory();
  testCoreData();
  testContactType(`${base}/dcc:customer`, (dcc) => dcc.digitalCalibrationCertificate.administrativeData.customer);
  testRespPersonListType();
  testStatementListType(`${base}/dcc:statements`, (dcc) => dcc.digitalCalibrationCertificate.administrativeData.statements);
});
