/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/GP_Temperature_Simplified_variant.xml" }
 */

import { select } from "../../util";
import { ItemType, DCCDocument, EquipmentClassType } from "../../../src";

const base = "/dcc:digitalCalibrationCertificate/dcc:administrativeData/dcc:items";
const xpath = {
  items: {
    item: {
      equipmentClass: {
        reference: `string(${base}/dcc:item[1]/dcc:equipmentClass[1]/dcc:reference)`,
        classID: `string(${base}/dcc:item[1]/dcc:equipmentClass[1]/dcc:classID)`,
      },
    },
  },
};

describe("GP_DCC_Temperature_Typical: ItemType", () => {
  let dcc: DCCDocument, item: ItemType, equipmentClass: EquipmentClassType, dom;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    item = dcc.digitalCalibrationCertificate.administrativeData.items.item[0];
    equipmentClass = item.equipmentClass[0];
  });

  test("should get correct equipmentClass reference from XML", () => {
    expect(equipmentClass.reference._text).toBe(select(xpath.items.item.equipmentClass.reference, dom));
  });

  test("should get correct equipmentClass classID from XML", () => {
    expect(equipmentClass.classID._text).toBe(select(xpath.items.item.equipmentClass.classID, dom));
  });
});
