/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/GP_Temperature_v3.2.0_DCC.xml" }
 */

import { select } from "../../util";

const VERSION_XPATH = "string(/dcc:digitalCalibrationCertificate/@schemaVersion)";

describe("GP_Temperature_v3.2.0_DCC: DigitalCalibrationCertificateType", () => {
  let xml, dcc, dom;

  beforeEach(() => {
    ({ xml, dcc, dom } = recreateEnv());
  });

  test("should get correct schemaVersion from XML", () => {
    const expectedVersion = select(VERSION_XPATH, dom);
    expect(dcc.digitalCalibrationCertificate._attr.schemaVersion).toBe(expectedVersion);
  });
});
