/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/GP_Temperature_v3.2.0_DCC.xml" }
 */

import { select, toTextArr, toTextContentArr } from "../../util";
import { DCCDocument, MeasurementResultType } from "../../../src";

const base = "/dcc:digitalCalibrationCertificate/dcc:measurementResults";
const xpath = {
  measurementResults: {
    measurementResult: {
      name: {
        content: `${base}/dcc:measurementResult[1]/dcc:name/dcc:content`,
      },
    },
  },
};

describe("GP_Temperature_v3.2.0_DCC: MeasurementResultType", () => {
  let dcc: DCCDocument, measurementResult: MeasurementResultType, dom;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    measurementResult = dcc.digitalCalibrationCertificate.measurementResults.measurementResult[0];
  });

  test("should get correct measurement result name content from XML", () => {
    // get expected list from example xml
    const expected = <Element[]>select(xpath.measurementResults.measurementResult.name.content, dom);
    expect(toTextArr(measurementResult.name.content)).toEqual(toTextContentArr(expected));
  });

  /* TODO: setters */
});
