import { JSDOM } from "jsdom";
import * as _ from "lodash";
import { RichContentType } from "../../../../src";
import { select } from "../../../util";

const testContent = (base: string, richContent: RichContentType, dom: JSDOM) => {
  const elements = <Element[]>select(`${base}/dcc:content`, dom);
  // get expected langs from xml, filter out empty strings
  const langs = _.uniq(elements.map((x) => x.getAttribute("lang")).filter((x) => x));
  if(langs.length > 0) {
    // check content for each lang if there are any
    for (const lang of langs) {
      expect(richContent.getContent(lang)._text).toBe(select(`string(${base}/dcc:content[@lang="${lang}"])`, dom));
    }
  } else {
    // check content if there are no langs
    expect(richContent.getContent()._text).toBe(select(`string(${base}/dcc:content)`, dom));
  }
}

export const testRichContentType = (base: string, richContent: RichContentType, dom: JSDOM) => {
  testContent(base, richContent, dom);
  // TODO: test file
  // TODO: test formula
};
