/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/GP_Temperature_v3.2.0_DCC.xml" }
 */

import { select } from "../util";
import { DCCDocument } from "../../src";

const base = "//dcc:quantity[@refType='test_charsXMLList']";
const xpath = {
  charsXMLList: `string(${base}/dcc:charsXMLList)`,
};

describe("CharsXMLList", () => {
  let dcc: DCCDocument, dom, result;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    result = dcc.digitalCalibrationCertificate.measurementResults.measurementResult[0].results.result[0];
  });

  test("should get correct charsXMLList from XML", () => {
    expect(result.data.quantity[1].charsXMLList._text).toBe(select(xpath.charsXMLList, dom));
  });
});
