/// <reference types="vitest" />

import { defineConfig } from "vite";
import AutoImport from "unplugin-auto-import/vite";

export default defineConfig({
  plugins: [
    AutoImport({
      imports: ["vitest"],
      dts: true, // generate TypeScript declaration
    }),
  ],
  test: {
    globals: true,
    environment: "custom",
    reporters: ["default", "junit"],
    outputFile: "junit.xml",
    coverage: {
      provider: "istanbul",
      reporter: ["text-summary", "cobertura"],
    },
  },
});
